Page MenuHomePhabricator

Build cergen for buster
Closed, ResolvedPublic

Description

cergen needs to be build for buster. I'll most probably need some code changes, the current setup.py specifies "networkx < 2", which Buster has 2.2.

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 14 2019, 7:42 AM
jbond added a comment.Oct 14 2019, 8:41 AM

I started on a path for this here but i ran into a further problem i couldn't easily fix https://gerrit.wikimedia.org/r/c/cergen/+/541796

Change 541796 had a related patch set uploaded (by Jbond; owner: John Bond):
[cergen@master] signer: update networkx and python3-cryptography support

https://gerrit.wikimedia.org/r/541796

Change 542901 had a related patch set uploaded (by Muehlenhoff; owner: Muehlenhoff):
[operations/puppet@production] Create a separate component/cergen

https://gerrit.wikimedia.org/r/542901

Change 542901 merged by Muehlenhoff:
[operations/puppet@production] Create a separate component/cergen

https://gerrit.wikimedia.org/r/542901

Mentioned in SAL (#wikimedia-operations) [2019-10-14T13:26:11Z] <moritzm> imported python-networkx 1.11-2~wmf1 to component/cergen for buster-wikimedia T235405

Mentioned in SAL (#wikimedia-operations) [2019-10-14T13:48:20Z] <moritzm> imported cergen 0.2.4-1+deb10u1 to component/cergen for buster-wikimedia T235405

jijiki triaged this task as Medium priority.Oct 14 2019, 3:49 PM

Mentioned in SAL (#wikimedia-operations) [2019-10-14T15:57:10Z] <moritzm> imported cergen 0.2.4-1+deb10u2 to component/cergen for buster-wikimedia T235405

Mentioned in SAL (#wikimedia-operations) [2019-10-14T16:07:47Z] <moritzm> imported cergen 0.2.4-1+deb10u3 to component/cergen for buster-wikimedia T235405

Change 542987 had a related patch set uploaded (by Muehlenhoff; owner: Muehlenhoff):
[operations/puppet@production] Install python3-lib2to3 on buster

https://gerrit.wikimedia.org/r/542987

Change 542987 merged by Muehlenhoff:
[operations/puppet@production] Install python3-lib2to3 on buster

https://gerrit.wikimedia.org/r/542987

networkx has some breaking API changes between 1.x and 2.x which are non-trivial to resolve. To unbreak the use of cergen on buster the build has been adapted to use a forward-ported 1.11 package on a separate component for buster-wikimedia (component/cergen, which now also includes cergen itself).

MoritzMuehlenhoff closed this task as Resolved.Oct 16 2019, 12:43 PM
MoritzMuehlenhoff claimed this task.
elukey added a subscriber: elukey.Oct 30 2019, 4:59 PM

CERGEN=yes DIST=buster-wikimedia pdebuild is needed to build the package in case anybody needs it :)

Huh, can you add that to the debian/README?

Huh, can you add that to the debian/README?

Yep yep already planning to, will do it tomorrow!

On puppetmaster2001 I cannot see /etc/apt/sources.list.d/buster-cergen.list, hence the new package version seems not available.. expected?

On puppetmaster2001 I cannot see /etc/apt/sources.list.d/buster-cergen.list, hence the new package version seems not available.. expected?

Yes, it's only installed on the active Puppet CA, i.e. currently puppetmaster1001.eqiad.wmnet